slascl2.f(3)

NAME
slascl2.f -

SYNOPSIS

  Functions/Subroutines
subroutine slascl2 (M, N, D, X, LDX)
SLASCL2 performs diagonal scaling on a vector.

Function/Subroutine Documentation

  subroutine slascl2 (integerM, integerN, real, dimension( * )D, real, dimension( ldx, * )X, integerLDX)

SLASCL2 performs diagonal scaling on a vector.

Purpose:

     SLASCL2 performs a diagonal scaling on a vector:
       x <-- D * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_sge_diag_scale in the new BLAS
     standard.

Parameters:
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of D and X. N >= 0.

    D

              D is REAL array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is REAL array, dimension (LDX,N)
         On entry, the vector X to be scaled by D.
         On exit, the scaled vector.

    LDX

              LDX is INTEGER
         The leading dimension of the vector X. LDX >= 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 91 of file slascl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.